/************************************************************************/
/* 		This code is part of 'CutterFF'				*/
/*		a tool for cutting video files with 'FFmpeg' and 'GTK'	*/
/*		Copyright (c) 2017,2018,2023 Harald Foerster		*/
/*		(harald_foerster@users.sourceforge.net)			*/
/*		Distributed under GPL 2 or later			*/
/************************************************************************/

#ifndef CFF_CHARCONV__H
#define CFF_CHARCONV__H

#include <glib.h>

/* free 'str' if differs from 'orig' */
#define CFF_CHARCONV_UTF8_FREE(str, orig) if ((str) != (orig)) {g_free(str);}

gchar *cff_charconv_utf8_from_locale(const gchar *str, gint *plen);
gchar *cff_charconv_utf8_gettext(const gchar *str);

#endif /* CFF_CHARCONV__H */
